<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Story extends Model
{
    use HasFactory;

    protected $table = 'tbl_story';
    protected $guarded = array();

    protected $casts = [
        'id' => 'integer',
        'in_charge_id' => 'integer',
        'description' => 'string',
        'type' => 'integer',
        'story_url' => 'string',
        'status' => 'integer',
    ];

    public function in_charge()
    {
        return $this->belongsTo(In_Charge::class, 'in_charge_id');
    }
}
